#ifndef __LISTA__
#define __LISTA__

#include <string>
using namespace std;

#include "Nodo.h"
#include "Propriedade.h"

class Lista {
 private:
  Nodo *head;

  Nodo *buscarPrev(const Propriedade& nitem) const;

 public:
  Lista();
  Lista(Nodo *nhead);
  void setHead(Nodo *nhead);
  Nodo *getHead() const;
  Nodo *buscar(const Propriedade& nitem) const;
  void inserir(Propriedade& nitem, Nodo *prev);
  void remover(Nodo *prev);

  // Adicionais
  void inserir(Propriedade& nitem);
  void remover(const Propriedade& nitem);
  int getNumItens() const;
};

#endif
